Top

Version 1.9 Released: Improved Line Item Support and More!

Version 1.9 of the WooCommerce Zapier plugin has just been released.

This release is our biggest yet, and brings a long-awaited feature: line item support or WooCommerce Orders and Subscriptions, allowing you to create (for example) itemised invoices.

The release also paves the way some fantastic new features that we have planned for version 2.0, by restructuring and rewriting the existing codebase.

Note: if you are using another plugin or custom PHP code that integrates with WooCommerce Zapier, it is likely to require changes in order to be compatible with WooCommerce Zapier version 1.9.

The full changelog for this release is as follows:

  • New: Improved line item support in Zapier. #90
  • New: Notice for administrators if PHP version is not supported. #164
    If the plugin installed in a PHP 5.2 – 5.3 environment, it won’t work, only displaying a message.
  • New: Added link to logging in the plugin page. #119
  • Fix: Updated sample data in the extension and the Zapier site to better represent real data. #151
  • Fix: When WooCommerce Checkout Field Editor is installed, avoid a PHP notice. #164
  • Change: Use WooCommerce for logging. #90
  • Change: Ensure SSL certificate verification occurs when sending data to Zapier. #168
  • Change: Minimum required PHP version is now 5.4. No longer supporting PHP 5.2.x and 5.3.x. #154
  • Change: Introduce namespaces and class autoloader. #150 #161
    Deprecated all existing class names and replace them with new namespaced classes. #161
  • Change: Filter parameters are changed: #161
    • In wc_zapier_data filter the second parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
    • In wc_zapier_data_*** filter the second parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
    • In wc_zapier_data_json filter the second parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
    • In wc_zapier_data_json_*** filter the second parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
    • In wc_zapier_scheduled_event hook the third parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
    • In wc_zapier_send_asynchronously filter the second parameter is now of type OM4\Zapier\Trigger\Base (was WC_Zapier_Trigger).
  • Change: Using a new rigid structure for payloads. #50 #149 #151 #152
  • Change: Notice for administrators if WooCommerce not installed. #161
    If the plugin installed without WooCommerce, now displaying a message.
  • Change: Removed woothemes_queue_update and legacy woo* files. Updates are now handled by WooCommerce core. #161
  • Change: Simplified WooCommerce check. #161
  • Change: Remove redundant admin CSS. #155

Update today!

The latest plugin version can be downloaded via your WordPress dashboard, or via the WooCommerce.com my account page.

Questions?

If you are looking for technical support, please try the Offical WooCommerce Zapier Documentation, Zapier Help Desk or the WooCommerce Help Desk.

Trackbacks/Pingbacks

  1. Feature Spotlight: Line Item Support in WooCommerce Zapier - May 2, 2019

    […] the release of WooCommerce Zapier version 1.9, we are proud to say that the wait is […]